apiVersion: keda.sh/v1alpha1
kind: ScaledObject
metadata:
  name: {{ .Values.scaler.scaledObjectName }}
  namespace: {{ .Values.namespace }}
spec:
  scaleTargetRef:
    name: {{ .Values.appName }}
  pollingInterval: {{ .Values.scaler.pollingInterval }}  # Set the polling interval for KEDA to check the metrics
  cooldownPeriod: {{ .Values.scaler.cooldownPeriod }}  # Set the cooldown period before scaling down
  # Add the triggers and scaler configuration here
  triggers:
  - type: kafka
    metadata:
      # topic: {{ .Values.scaler.topicName }}
      bootstrapServers: {{ .Values.scaler.bootstrapServers }}
      consumerGroup: {{ .Values.scaler.consumerGroup }}
      # lagThreshold: {{ .Values.scaler.lagThreshold }}  # Scale when the lag (number of messages) is greater than 10
      # Add other trigger-specific configuration here, if needed
  # Optional: Define the behavior for maximum and minimum replicas
  # Note: Ensure that you have enough resources available in your cluster to support scaling up to 10 replicas.
  maxReplicaCount: {{ .Values.scaler.maxReplicaCount }}
  minReplicaCount: {{ .Values.scaler.minReplicaCount }}
